org.jbpm.marshalling.impl

## Interface JBPMMessages.ProcessTimerOrBuilder

- All Superinterfaces:
    com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder
  All Known Implementing Classes:
    JBPMMessages.ProcessTimer, JBPMMessages.ProcessTimer.Builder
  Enclosing class:
    JBPMMessages

      public static interface JBPMMessages.ProcessTimerOrBuilder
      extends com.google.protobuf.MessageOrBuilder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `JBPMMessages.ProcessTimer.TimerInstance` | `getTimer()` `optional .org.jbpm.marshalling.ProcessTimer.TimerInstance timer = 1;`
    `JBPMMessages.ProcessTimer.TimerInstanceOrBuilder` | `getTimerOrBuilder()` `optional .org.jbpm.marshalling.ProcessTimer.TimerInstance timer = 1;`
    `org.drools.serialization.protobuf.ProtobufMessages.Trigger` | `getTrigger()` `optional .org.drools.serialization.protobuf.Trigger trigger = 2;`
    `org.drools.serialization.protobuf.ProtobufMessages.TriggerOrBuilder` | `getTriggerOrBuilder()` `optional .org.drools.serialization.protobuf.Trigger trigger = 2;`
    `boolean` | `hasTimer()` `optional .org.jbpm.marshalling.ProcessTimer.TimerInstance timer = 1;`
    `boolean` | `hasTrigger()` `optional .org.drools.serialization.protobuf.Trigger trigger = 2;`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

- - ### Method Detail

    - #### hasTimer

          boolean hasTimer()

      `optional .org.jbpm.marshalling.ProcessTimer.TimerInstance timer = 1;`

    - #### getTimer

          JBPMMessages.ProcessTimer.TimerInstance getTimer()

      `optional .org.jbpm.marshalling.ProcessTimer.TimerInstance timer = 1;`

    - #### getTimerOrBuilder

          JBPMMessages.ProcessTimer.TimerInstanceOrBuilder getTimerOrBuilder()

      `optional .org.jbpm.marshalling.ProcessTimer.TimerInstance timer = 1;`

    - #### hasTrigger

          boolean hasTrigger()

      `optional .org.drools.serialization.protobuf.Trigger trigger = 2;`

    - #### getTrigger

          org.drools.serialization.protobuf.ProtobufMessages.Trigger getTrigger()

      `optional .org.drools.serialization.protobuf.Trigger trigger = 2;`

    - #### getTriggerOrBuilder

          org.drools.serialization.protobuf.ProtobufMessages.TriggerOrBuilder getTriggerOrBuilder()

      `optional .org.drools.serialization.protobuf.Trigger trigger = 2;`

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.